<table class="port-table">

  <tr>
    <th>

      <mat-form-field>
        <mat-label>{{deviceA.name}}</mat-label>
        <mat-select [(ngModel)]="portAname">
          <mat-option *ngFor="let port of deviceA.ports" [value]="port.name">
            {{port.name}}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </th>

    <th>
      <mat-form-field>
        <mat-label>{{deviceZ.name}}</mat-label>
        <mat-select [(ngModel)]="portZname">
          <mat-option *ngFor="let port of deviceA.ports" [value]="port.name">
            {{port.name}}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </th>
  </tr>
  <button mat-button (click)="onSubmit()" class="link-button">Link</button>
</table>
